<?php

class Termo extends CI_Controller {

    function __construct() {

        parent::__construct();
        $this->load->model('Auditoria_Model');
        $this->load->database();
        $this->load->library('Criptografia');
        $this->load->library('Sanitize');
    }
    
    public function termodeuso() {
        
         if (isset($_SESSION['admin']) == TRUE) {
            $admin = $this->Auditoria_Model->getLoginAdminporID();
            if ($admin['id_grupo'] == 2) { 
            $dados = array('admin' => $this->Auditoria_Model->getLoginAdminporID(), 'termo' => $this->Auditoria_Model->obtemTermo());
            $this->load->view('termodeuso', $dados);
            } else {
            redirect('inicial');    
            }   
        } else {
            redirect();
        }
    }
    
    public function novotermo() {
         
        
        $_POST = $this->sanitize->filter($this->input->post(), array('sql'));

        $conteudo = $this->input->post('termo');
        if ($this->input->post('termo')) {
        $this->form_validation->set_rules('termo', 'termo', 'trim|required', array('required' => ' O termo de uso está em branco. '));
        if ($this->form_validation->run() == FALSE) {
        
        $form = validation_errors();
        $data = array('situacao' => false, 'form' => $form);
        echo json_encode($data);
        
        } else {
        
        if( (strlen(strip_tags(trim($conteudo)))) == 2) {
        $data = array('situacao' => 'vazio');
        echo json_encode($data); 
        
        } else {    
       
        $this->Auditoria_Model->termo($conteudo);
        
        $data = array('situacao' => true);
        echo json_encode($data);
        }
       }
      } else {
       redirect('inicial');   
      }
    }
   
}
